# Generated by Django 4.1.4 on 2022-12-17 14:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('fullname', models.TextField()),
                ('email', models.TextField(unique=True)),
                ('password', models.TextField()),
                ('lang', models.TextField(blank=True, null=True)),
                ('theme', models.TextField(blank=True, null=True)),
                ('is_demo', models.BooleanField()),
                ('is_active', models.BooleanField()),
                ('props', models.JSONField(blank=True, null=True)),
                ('is_muted', models.BooleanField(blank=True, null=True)),
                ('auth_backend', models.TextField(blank=True, null=True)),
                ('is_blocked', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'profile',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='HttpSession',
            fields=[
                ('id', models.TextField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('user_agent', models.TextField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'http_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_default', models.BooleanField()),
                ('name', models.TextField()),
            ],
            options={
                'db_table': 'project',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='StorageObject',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('size', models.BigIntegerField()),
                ('backend', models.TextField()),
                ('metadata', models.JSONField(blank=True, null=True)),
                ('touched_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'storage_object',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('name', models.TextField()),
                ('is_default', models.BooleanField()),
            ],
            options={
                'db_table': 'team',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectProfileRel',
            fields=[
                ('profile', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('is_owner', models.BooleanField(blank=True, null=True)),
                ('is_admin', models.BooleanField(blank=True, null=True)),
                ('can_edit', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'project_profile_rel',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TeamInvitation',
            fields=[
                ('team', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='penpot.team')),
                ('email_to', models.TextField()),
                ('role', models.TextField()),
                ('valid_until', models.DateTimeField()),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'team_invitation',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TeamProfileRel',
            fields=[
                ('team', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='penpot.team')),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('is_admin', models.BooleanField(blank=True, null=True)),
                ('is_owner', models.BooleanField(blank=True, null=True)),
                ('can_edit', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'team_profile_rel',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TeamProjectProfileRel',
            fields=[
                ('team', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='penpot.team')),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('is_pinned', models.BooleanField()),
            ],
            options={
                'db_table': 'team_project_profile_rel',
                'managed': False,
            },
        ),
    ]
