# Generated by Django 4.1.4 on 2022-12-19 22:38

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('penpot', '0004_webhook_alter_teamprojectprofilerel_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='AuditLog',
            fields=[
                ('id', models.UUIDField()),
                ('name', models.TextField()),
                ('type', models.TextField()),
                ('created_at', models.DateTimeField(primary_key=True, serialize=False)),
                ('archived_at', models.DateTimeField(blank=True, null=True)),
                ('profile_id', models.UUIDField()),
                ('props', models.JSONField(blank=True, null=True)),
                ('ip_addr', models.GenericIPAddressField(blank=True, null=True)),
                ('tracked_at', models.DateTimeField(blank=True, null=True)),
                ('source', models.TextField(blank=True, null=True)),
                ('context', models.JSONField(blank=True, null=True)),
            ],
            options={
                'db_table': 'audit_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('content', models.TextField()),
            ],
            options={
                'verbose_name': 'Comment',
                'verbose_name_plural': 'Comments',
                'db_table': 'comment',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CommentThread',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('page_id', models.UUIDField()),
                ('participants', models.JSONField()),
                ('seqn', models.IntegerField()),
                ('position', models.TextField()),
                ('is_resolved', models.BooleanField()),
                ('page_name', models.TextField(blank=True, null=True)),
                ('frame_id', models.UUIDField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Comment Thread',
                'verbose_name_plural': 'Comment Threads',
                'db_table': 'comment_thread',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FileMediaObject',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('name', models.TextField()),
                ('width', models.IntegerField()),
                ('height', models.IntegerField()),
                ('mtype', models.TextField()),
                ('is_local', models.BooleanField()),
            ],
            options={
                'verbose_name': 'File Media Object',
                'verbose_name_plural': 'File Media Objects',
                'db_table': 'file_media_object',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ShareLink',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('pages', models.TextField(blank=True, null=True)),
                ('flags', models.TextField(blank=True, null=True)),
                ('who_comment', models.TextField()),
                ('who_inspect', models.TextField()),
            ],
            options={
                'verbose_name': 'Share Link',
                'verbose_name_plural': 'Share Links',
                'db_table': 'share_link',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TeamFontVariant',
            fields=[
                ('id', models.UUIDField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('modified_at', models.DateTimeField()),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('font_id', models.UUIDField()),
                ('font_family', models.TextField()),
                ('font_weight', models.SmallIntegerField()),
                ('font_style', models.TextField()),
            ],
            options={
                'verbose_name': 'Team Font Variant',
                'verbose_name_plural': 'Team Font Variants',
                'db_table': 'team_font_variant',
                'managed': False,
            },
        ),
        migrations.AlterModelOptions(
            name='file',
            options={'managed': False, 'verbose_name': 'file', 'verbose_name_plural': 'files'},
        ),
        migrations.AlterModelOptions(
            name='filechange',
            options={'managed': False, 'verbose_name': 'File Change', 'verbose_name_plural': 'File Changes'},
        ),
        migrations.AlterModelOptions(
            name='teaminvitation',
            options={'managed': False, 'verbose_name': 'Team Invitation', 'verbose_name_plural': 'Team Invitations'},
        ),
        migrations.AlterModelOptions(
            name='webhook',
            options={'managed': False, 'verbose_name': 'Webhook', 'verbose_name_plural': 'Webhooks'},
        ),
        migrations.AlterModelOptions(
            name='webhookdelivery',
            options={'managed': False, 'verbose_name': 'Webhook Delivery', 'verbose_name_plural': 'Webhooks Deliveries'},
        ),
    ]
